<?php
namespace Relatione\Repositories;

class Evolcont extends \Doctrine\ORM\EntityRepository
{
    
    /**
     * @param $nrorg
     * @param $cdfilial
     * @param $nrcontato
     * @return mixed
     */
    public static function consultaProxSequencialEvolCont($nrorg, $cdfilial, $nrcontato){
        $sql = "
            SELECT TRIM(TO_CHAR(NVL(MAX(TO_NUMBER(EVC.NRSEQEVOLCON)), 0)+1, '09')) AS NRSEQEVOLCON
              FROM EVOLCONT EVC
             WHERE EVC.NRORG = :NRORG
               AND EVC.CDFILIAL = :CDFILIAL
               AND EVC.NRCONTATO = :NRCONTATO
        ";
        
        $params = array(
            'NRORG'        => $nrorg, 
            'CDFILIAL'     => $cdfilial, 
            'NRCONTATO'    => $nrcontato        
        );

        try{
            return \Setforms2\Shared\Connection::getInstance()->fetchAll($sql, $params);
        } catch(\Exception $e) {
            throw $e;
        }
    }
    
    public function numeroSequencialContato($nrcontato){
        $sql = "SELECT MAX(NRSEQEVOLCON) AS CODIGO
                  FROM EVOLCONT
                 WHERE NRCONTATO  = :P_NRCONTATO";

        $params = array("P_NRCONTATO"   => $nrcontato);

        $result = $this->_em->getConnection()->fetchArray($sql, $params);

        return $result;
    }

    public function consultaProxCodigoSeqEvol()
    {
        $sql = "SELECT TRIM(NVL(MAX(TO_NUMBER(NRSEQEVOLCONT)), 0)+1) AS NRSEQEVOLCONT
                FROM EVOLCONT";
                
        try{
            return \Setforms2\Shared\Connection::getInstance()->fetchAll($sql);
        } catch(\Exception $e) {
            throw $e;
        }
    }
    
}